Module java.xml
Package javax.xml.parsers

## Class ParserConfigurationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.parsers.ParserConfigurationException

- All Implemented Interfaces:
    `Serializable`

      public class ParserConfigurationException
      extends Exception

  Indicates a serious configuration error.
  Since:
    1.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParserConfigurationException​()` | Create a new `ParserConfigurationException` with no detail message.
    `ParserConfigurationException​(String msg)` | Create a new `ParserConfigurationException` with the `String` specified as an error message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### ParserConfigurationException

          public ParserConfigurationException​()

      Create a new `ParserConfigurationException` with no detail message.

    - #### ParserConfigurationException

          public ParserConfigurationException​(String msg)

      Create a new `ParserConfigurationException` with the `String` specified as an error message.
      Parameters:
        `msg` - The error message for the exception.